"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var noop = function () { };
var Deferred = /** @class */ (function () {
    function Deferred() {
        var _this = this;
        this._resolve = noop;
        this._reject = noop;
        this.resolve = function (value) {
            _this._resolve(value);
        };
        this.reject = function (reason) {
            _this._reject(reason);
        };
        this._promise = new Promise(function (resolve, reject) {
            _this._resolve = resolve;
            _this._reject = reject;
        });
    }
    Object.defineProperty(Deferred.prototype, "promise", {
        get: function () {
            return this._promise;
        },
        enumerable: true,
        configurable: true
    });
    return Deferred;
}());
exports.default = Deferred;
//# sourceMappingURL=defer.js.map