/// <reference types="node" />
import { Device } from 'node-hid';
export declare function enumerateDevices(detectFn?: (d: Device) => boolean): Device[];
export declare function invert(obj: {
    [key: string]: string | number;
}): {
    [key: string]: string;
};
export declare function toWebsafeBase64(buf: Buffer | string): string;
export declare function fromWebsafeBase64(base64: string): Buffer;
export declare function hash(data: Buffer | string): Buffer;
export declare function debug(...args: any[]): void;
export declare function delay(ms: number): Promise<unknown>;
